Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Chart.Legend

Displays a list of chart series data
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Chart.Legend(chart)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| align Legend position as offset % of chart size.
| bounds Defines the legend position in pixels.
| dividing Draws a line between legend items.
| fontColor Determines to fill each legend item text using series or point colors.
| format Formatting properties to draw legend background and items.
| inverted When true, legend items are displayed in inverted order.
| legendStyle Determines to draw all visible series names or first visible series points.
| padding Percent of chart size pixels to leave as margin from legend.
| position Automatic position legend ("left", "top", "right" or "bottom").
| symbol Properties to draw a small indicator next to each legend item.
| textStyle What to draw at each legend item for series values: "auto", "valuelabel", "label", "value", "percent", "index", "labelvalue", "percentlabel"
| title Draws a title on top of legend.
| transparent Determines to draw or not the legend background.
| visible Defines to draw or not the legend.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| availRows()
| calcItemPos(index, pos)
| calcItemRect(index, r)
| calcPadding(r)
| calcrect()
| calcWidths()
| draw()
| drawItem(text, series, index, isSeries)
| drawSeries(index, order)
| drawSymbol(series, index, itemPos)
| isVertical()
| itemsCount()
| itemText(series, index)
| mousedown(p)
| mousemove(p)
<inner> | seriesCount(legend)
| showValues()
| totalWidth()

Class Detail
Tee.Chart.Legend(chart)

Parameters:
{Tee.Chart} chart
  The parent chart this legend object belongs to.

Field Detail
{Number} align
Legend position as offset % of chart size. Default 0.

{Rectangle} bounds
Defines the legend position in pixels.

{Stroke} dividing
Draws a line between legend items.

{Boolean} fontColor
Determines to fill each legend item text using series or point colors.

{Tee.Format} format
Formatting properties to draw legend background and items.

{Boolean} inverted
When true, legend items are displayed in inverted order.

{String} legendStyle
Determines to draw all visible series names or first visible series points. ("auto", "series", "values").

{Number} padding
Percent of chart size pixels to leave as margin from legend.

{String} position
Automatic position legend ("left", "top", "right" or "bottom").

{Symbol} symbol
Properties to draw a small indicator next to each legend item.

{String} textStyle
What to draw at each legend item for series values: "auto", "valuelabel", "label", "value", "percent", "index", "labelvalue", "percentlabel"

{Tee.Annotation} title
Draws a title on top of legend.

{Boolean} transparent
Determines to draw or not the legend background.

{Boolean} visible
Defines to draw or not the legend.
Method Detail
{Number} availRows()

Returns:
  {Number} Returns the maximum number of vertical rows using the available height.

calcItemPos(index, pos)

Parameters:
index
pos

calcItemRect(index, r)

Parameters:
index
r

{Number} calcPadding(r)

Parameters:
r

Returns:
  {Number} Returns the distance in pixels between legend and chart bounds.

calcrect()

{Number} calcWidths()

Returns:
  {Number} Returns the maximum width in pixels of all legend items text.

draw()

drawItem(text, series, index, isSeries)

Parameters:
text
series
index
isSeries

{Boolean} drawSeries(index, order)

Parameters:
index
order

Returns:
  {Boolean} Returns if index'th series is visible and has been displayed at legend.

drawSymbol(series, index, itemPos)

Parameters:
series
index
itemPos

{Boolean} isVertical()

Returns:
  {Boolean} Returns if legend orientation is vertical.

{Number} itemsCount()

Returns:
  {Number} Returns the number of legend items that should be displayed.

{String} itemText(series, index)

Parameters:
series
index

Returns:
  {String} Returns the index'th legend text string.

mousedown(p)

Parameters:
p

mousemove(p)

Parameters:
p

<inner> seriesCount(legend)

Parameters:
legend

{Boolean} showValues()

Returns:
  {Boolean} Returns if legend shows series titles or a series values.

{Number} totalWidth()

Returns:
  {Number} Returns the width in pixels of legend items, including text and symbols if visible.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)